Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class StandardRouter

    java.lang.Object
      rice.pastry.standard.StandardRouter

All Implemented Interfaces:
  MessageReceiver

public class StandardRouter
extends java.lang.Object
implements MessageReceiver

An implementation of the standard Pastry routing algorithm.

Version:
  $Id: StandardRouter.java,v 1.27 2005/03/11 00:58:03 jeffh Exp $
Author:
  Andrew Ladd, Rongmei Zhang/Y.Charlie Hu

Constructor Summary
`StandardRouter(NodeHandle handle, RoutingTable rt, LeafSet ls, PastrySecurityManager sm)` Constructor.

Method Summary
`Address` | `getAddress()` Gets the address of this component.
`void` | `receiveMessage(Message msg)` Receive a message from a remote node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardRouter

    public StandardRouter(NodeHandle handle,
                          RoutingTable rt,
                          LeafSet ls,
                          PastrySecurityManager sm)

  Constructor.

Parameters:
  `rt` - the routing table.
  `ls` - the leaf set.
  `handle` - DESCRIBE THE PARAMETER
  `sm` - DESCRIBE THE PARAMETER

Method Detail

### getAddress

    public Address getAddress()

  Gets the address of this component.

  Returns:
    the address.

### receiveMessage

    public void receiveMessage(Message msg)

  Receive a message from a remote node.

  Specified by:
    `receiveMessage` in interface `MessageReceiver`
  Parameters:
    `msg` - the message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.